﻿@font-face {
    font-family: MundialRegular;
    src: url(../fonts/MundialRegular.otf);
}

*{
    box-sizing: border-box;
}

html {
    min-height: 100%;
}

img{
    max-width: 100%;
    height: auto;
}

body {
    display: grid;
    gap: 2em;
    grid-template-rows: auto 1fr;
    height: 100%;
    margin: 0;
    padding: 0;
    position: relative; /* Para que los elementos con position:absolute se basen en el body */
    font-family: MundialRegular;
    background-image: url('../images/backgroundUS.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-color: #1A63AD;
}


.cm_country-page {
    position: relative;
    justify-self: center;
    align-self: center;
    display: grid;
    grid-column-gap: 50px;
    grid-template-rows: 1fr 180px;
    grid-template-columns: 1fr 300px;
    width: 100%;
    font-size: 16px;
    color: white;
    background-size: cover;
}

.cm_countrySelector::before {
    content: "";
    position: absolute;
    z-index: -10;
    inset: 0;
    clip-path: polygon(0% 0%, 36% 100%, 100% 100%, 100% 0%);
    border: 4px solid white;
}

.cm_country-header{
    position: relative;
    display: flex;
    align-items: center;
    gap: 2em;
    max-width: max-content;
    padding: 1em 3em;
    background-color: white;
    border-bottom-right-radius: 100px;
}

.cm_country-header h1 {
    margin: 0;
    color: midnightblue;
}

.cm_countrySelector {
    position: absolute;
    top: 40%;
    left: 50%;
    width: 80%;
    transform: translate(-50%, -40%);
    padding-block: 64px;
    text-align: center;
    overflow-x: hidden;
}

.cm_countrySelector img {
    /*width: 400px;
    height: 400px;*/
}

@media screen and (max-width: 768px){

    .cm_country-header {
        flex-wrap: wrap;
        gap: 1em;
        padding: 1em 2em;
    }

    .cm_country-header h1{
        font-size: 24px;
    }
}